Get Usage
curl --request GET \
--url https://api.entityml.com/api/v1/usageimport requests
url = "https://api.entityml.com/api/v1/usage"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.entityml.com/api/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"tier": "<string>",
"tier_name": "<string>",
"api_calls": 123,
"limit": 123,
"remaining": 123,
"month": "<string>",
"unlimited": true
}Billing and Usage
Get Usage
Return current monthly API usage and plan limit for a user.
GET
/
api
/
v1
/
usage
Get Usage
Request
string
required
User ID to inspect.
Response
string
string
string
integer
integer
integer
string
boolean
Example
from entityml import EntityMLClient
client = EntityMLClient()
usage = client.billing.get_usage(user_id="YOUR_USER_ID")
print(usage["api_calls"])
entityml billing usage --user-id YOUR_USER_ID
curl "https://api.entityml.com/api/v1/usage?user_id=YOUR_USER_ID"
Example response
{
"user_id": "YOUR_USER_ID",
"tier": "pro",
"tier_name": "Pro",
"api_calls": 1284,
"limit": null,
"remaining": null,
"month": "2026-05",
"unlimited": true
}
⌘I